TypeViewConstruct (CMDB Model API)
Keywords: com.collation.platform.model.gui.customviews.TypeViewConstruct interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.gui.customviews
Interface TypeViewConstruct

All Superinterfaces:
  ModelObject, ProductModelObject, java.io.Serializable, ViewConstruct

    public interface TypeViewConstruct

extends ViewConstruct

Represents a custom views

Naming Rules:
  0="typeName"
Persistable:
  true
Display Name:
  typeName

Field Summary
`static java.lang.String` | `CLUSTERS`
`static java.lang.String` | `DATABASES`
`static java.lang.String` | `DNS_SERVICES`
`static java.lang.String` | `INFRASTRUCTURE_SERVICES`
`static java.lang.String` | `INFRASTRUCTURE_SOFTWARE`
`static java.lang.String` | `J2EE_APP_SERVERS`
`static java.lang.String` | `LDAP_SERVICES`
`static java.lang.String` | `MESSAGING_SERVERS`
`static java.lang.String` | `NFS_SERVICES`
`static java.lang.String` | `OTHER_SERVERS`
`static java.lang.String` | `OTHER_SERVICES`
`static java.lang.String` | `UNKNOWN_SERVERS`
`static java.lang.String` | `WEB_SERVERS`

Method Summary
`java.lang.String` | `getTypeName()`
`boolean` | `hasTypeName()`
`void` | `setTypeName(java.lang.String typeName)`

Methods inherited from interface com.collation.platform.model.gui.customviews.ViewConstruct
`getLevel, getName, hasLevel, hasName, setLevel, setName`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### INFRASTRUCTURE_SOFTWARE

    static final java.lang.String INFRASTRUCTURE_SOFTWARE

See Also:
  Constant Field Values

### CLUSTERS

    static final java.lang.String CLUSTERS

See Also:
  Constant Field Values

### WEB_SERVERS

    static final java.lang.String WEB_SERVERS

See Also:
  Constant Field Values

### J2EE_APP_SERVERS

    static final java.lang.String J2EE_APP_SERVERS

See Also:
  Constant Field Values

### DATABASES

    static final java.lang.String DATABASES

See Also:
  Constant Field Values

### MESSAGING_SERVERS

    static final java.lang.String MESSAGING_SERVERS

See Also:
  Constant Field Values

### OTHER_SERVERS

    static final java.lang.String OTHER_SERVERS

See Also:
  Constant Field Values

### UNKNOWN_SERVERS

    static final java.lang.String UNKNOWN_SERVERS

See Also:
  Constant Field Values

### INFRASTRUCTURE_SERVICES

    static final java.lang.String INFRASTRUCTURE_SERVICES

See Also:
  Constant Field Values

### DNS_SERVICES

    static final java.lang.String DNS_SERVICES

See Also:
  Constant Field Values

### NFS_SERVICES

    static final java.lang.String NFS_SERVICES

See Also:
  Constant Field Values

### LDAP_SERVICES

    static final java.lang.String LDAP_SERVICES

See Also:
  Constant Field Values

### OTHER_SERVICES

    static final java.lang.String OTHER_SERVICES

See Also:
  Constant Field Values

Method Detail

### hasTypeName

    boolean hasTypeName()

### setTypeName

    void setTypeName(java.lang.String typeName)

### getTypeName

    java.lang.String getTypeName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD